%define upstream_name    Encode-Newlines
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Normalize line ending sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode::Encoding)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides the 'CR', 'LF', 'CRLF' and 'Native' encodings, to aid
in normalizing line endings.

It converts whatever line endings the source uses to the designated newline
sequence, for both 'encode' and 'decode' operations.

If you specify two different line endings joined by a '-', it will use the
first one for decoding and the second one for encoding. For example, the
'LF-CRLF' encoding means that all input should be normalized to 'LF', and
all output should be normalized to 'CRLF'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-6.mga10
+ Revision: 2198695
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-5.mga9
+ Revision: 1803477
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1494436
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1267852
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1026923
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 953356
- update to 0.05

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 949939
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.40.0-1.mga5
+ Revision: 791909
- imported package perl-Encode-Newlines


* Sun Oct 19 2014 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
